Package org.apache.qpid.proton.engine.impl.ssl

# Interface SslTransportWrapper

All Superinterfaces:
  `TransportInput`, `TransportOutput`, `TransportWrapper`

All Known Implementing Classes:
  `SimpleSslTransportWrapper`, `SslHandshakeSniffingTransportWrapper`

public interface SslTransportWrapper extends TransportWrapper

## Method Summary

Modifier and Type
Method
Description
`String`
`getCipherName()`
`String`
`getProtocolName()`

### Methods inherited from interface org.apache.qpid.proton.engine.impl.TransportInput

`capacity, close_tail, position, process, tail`

### Methods inherited from interface org.apache.qpid.proton.engine.impl.TransportOutput

`close_head, head, pending, pop`

## Method Details

### getCipherName

String getCipherName()

### getProtocolName

String getProtocolName()